Subject: bug#43397: 28.0.50; Adding tool bar items: update tool bar

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 03 May 2022 18:09:30 +0200

Stefan Monnier <[email-masked]> writes:

> My crystal ball suggests there's a weak hash-table in here somewhere.

That's a really good crystal ball:

(defconst tool-bar-keymap-cache (make-hash-table :weakness t :test 'equal))

If I remove the :weakness t there, then the toolbar is never updated.

So it's a caching problem, one of the two difficult problems in
programming.

Hm...  poking around in that code, I don't quite follow how this is all
supposed to be hooked up, or which caches should be flushed.  Does the
crystal ball have more insights?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no